/*
 * Copyright (c) 1990-2001  Paul Vojta and others
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * PAUL VOJTA OR ANY OTHER AUTHOR OF THIS SOFTWARE BE LIABLE FOR ANY CLAIM,
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 *
 * NOTE: xdvi is based on prior work, as noted in the modification history in
 * xdvi.c.
 *
 */

#define	mane_base_x 0
#define	mane_base_y 0

#define	MAGBORD	1	/* border size for magnifier */

extern void show_distance_from_ruler(XEvent *event, Boolean to_stdout);
extern void drag_ruler_motion(XEvent *event);
extern void drag_ruler_release(XEvent *event);
extern void clear_ruler(void);
extern void show_ruler(XEvent *event);
extern void redraw_ruler(void);
extern void ruler_snap_origin(XEvent *event);

extern struct WindowRec magnifier;
extern short magnifier_stat;	/* 1 = wait for expose, -1 = destroy upon expose */

extern void mag_release(XEvent * event);
extern void move_magnifier(void);
extern void create_magnifier(void);
